---LUISK: dic 2010
---Modificaciones en funcionalidades para el cambio requerido por chaneme como pago de incentivos


update gen_config 
set config='nivelXDefecto'
where id=1

--adición del tab 'incentivos'
if not exists(
	select * 
	from gui_funcionalidad 
	where id_funcionalidad=(
		select id from gui_funcionalidad where nombrecontrol='itemdocumento' and nombrecomando='ot')
	and nombrecontrol='incentivos'
	)
BEGIN

	declare @uid varchar(300)
	select @uid=uid from seg_usuario where id=1

	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])
	VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Incentivos',353,1,'/forms/doc/incentivos.aspx','',0,'','','','incentivos','incentivos',3)
	
	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])
	VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Incentivos',356,1,'/forms/doc/incentivos.aspx','',0,'','','','incentivos','incentivos',3)

	declare @idFormulario int
	
	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])
	VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Incentivos',322,3,'','',0,'','','','incentivos','ot',0)

    set @idFormulario = scope_identity()
	
    INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])
    VALUES(@uid,'01',1,1,getdate(),getdate(),1,'ITEMS',@idFormulario,1,'/forms/doc/itemDocumento.aspx','',0,'','','','itemDocumento','itemDocumento',1)
    
    INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])
    VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Quien Paga',@idFormulario,1,'/forms/doc/quienPaga.aspx','',0,'','','','quienPaga','quienPaga',2)
	
	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])
	VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Incentivos',@idFormulario,1,'/forms/doc/incentivos.aspx','',0,'','','','incentivos','incentivos',3)


END
GO


--agregar id_soprote a programacion y al reportar crear soporte y ponerselo a la prog
